Index: palm/trunk/SCRIPTS/.csd.config.default
===================================================================
--- palm/trunk/SCRIPTS/.csd.config.default	(revision 4838)
+++ palm/trunk/SCRIPTS/.csd.config.default	(revision 4843)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/.cvd.config.default
===================================================================
--- palm/trunk/SCRIPTS/.cvd.config.default	(revision 4838)
+++ palm/trunk/SCRIPTS/.cvd.config.default	(revision 4843)
@@ -16,5 +16,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/batch_scp
===================================================================
--- palm/trunk/SCRIPTS/batch_scp	(revision 4838)
+++ palm/trunk/SCRIPTS/batch_scp	(revision 4843)
@@ -17,5 +17,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/compile_tutorial
===================================================================
--- palm/trunk/SCRIPTS/compile_tutorial	(revision 4838)
+++ palm/trunk/SCRIPTS/compile_tutorial	(revision 4843)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/create_basic_static_driver.py
===================================================================
--- palm/trunk/SCRIPTS/create_basic_static_driver.py	(revision 4838)
+++ palm/trunk/SCRIPTS/create_basic_static_driver.py	(revision 4843)
@@ -16,5 +16,5 @@
 # along with PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020 Leibniz Universitaet Hannover
+# Copyright 1997-2021 Leibniz Universitaet Hannover
 # -------------------------------------------------------------------- #
 
Index: palm/trunk/SCRIPTS/document_changes
===================================================================
--- palm/trunk/SCRIPTS/document_changes	(revision 4838)
+++ palm/trunk/SCRIPTS/document_changes	(revision 4843)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020 Leibniz Universitaet Hannover
+# Copyright 1997-2021 Leibniz Universitaet Hannover
 #------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/generate_documentation
===================================================================
--- palm/trunk/SCRIPTS/generate_documentation	(revision 4838)
+++ palm/trunk/SCRIPTS/generate_documentation	(revision 4843)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/inifor_script
===================================================================
--- palm/trunk/SCRIPTS/inifor_script	(revision 4838)
+++ palm/trunk/SCRIPTS/inifor_script	(revision 4843)
@@ -17,5 +17,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 2017-2020  Leibniz Universitaet Hannover
+# Copyright 2017-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/inifortest
===================================================================
--- palm/trunk/SCRIPTS/inifortest	(revision 4838)
+++ palm/trunk/SCRIPTS/inifortest	(revision 4843)
@@ -17,6 +17,6 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 2017-2020  Leibniz Universitaet Hannover
-# Copyright 2017-2020  Deutscher Wetterdienst, Offenbach
+# Copyright 2017-2021  Leibniz Universitaet Hannover
+# Copyright 2017-2021  Deutscher Wetterdienst, Offenbach
 #------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palm_csd
===================================================================
--- palm/trunk/SCRIPTS/palm_csd	(revision 4838)
+++ palm/trunk/SCRIPTS/palm_csd	(revision 4843)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palm_csd_files/palm_csd_canopy_generator.py
===================================================================
--- palm/trunk/SCRIPTS/palm_csd_files/palm_csd_canopy_generator.py	(revision 4838)
+++ palm/trunk/SCRIPTS/palm_csd_files/palm_csd_canopy_generator.py	(revision 4843)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palm_csd_files/palm_csd_netcdf_interface.py
===================================================================
--- palm/trunk/SCRIPTS/palm_csd_files/palm_csd_netcdf_interface.py	(revision 4838)
+++ palm/trunk/SCRIPTS/palm_csd_files/palm_csd_netcdf_interface.py	(revision 4843)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palm_csd_files/palm_csd_tools.py
===================================================================
--- palm/trunk/SCRIPTS/palm_csd_files/palm_csd_tools.py	(revision 4838)
+++ palm/trunk/SCRIPTS/palm_csd_files/palm_csd_tools.py	(revision 4843)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palm_cvd
===================================================================
--- palm/trunk/SCRIPTS/palm_cvd	(revision 4838)
+++ palm/trunk/SCRIPTS/palm_cvd	(revision 4843)
@@ -16,5 +16,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palm_find_lowest_available_error_number
===================================================================
--- palm/trunk/SCRIPTS/palm_find_lowest_available_error_number	(revision 4838)
+++ palm/trunk/SCRIPTS/palm_find_lowest_available_error_number	(revision 4843)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 2018-2020  Leibniz Universitaet Hannover
+# Copyright 2018-2021  Leibniz Universitaet Hannover
 #------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palm_find_lowest_available_log_point_index
===================================================================
--- palm/trunk/SCRIPTS/palm_find_lowest_available_log_point_index	(revision 4838)
+++ palm/trunk/SCRIPTS/palm_find_lowest_available_log_point_index	(revision 4843)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 2018-2020  Leibniz Universitaet Hannover
+# Copyright 2018-2021  Leibniz Universitaet Hannover
 #------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palm_gf
===================================================================
--- palm/trunk/SCRIPTS/palm_gf	(revision 4838)
+++ palm/trunk/SCRIPTS/palm_gf	(revision 4843)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palm_gf_files/palm_gf_tools.py
===================================================================
--- palm/trunk/SCRIPTS/palm_gf_files/palm_gf_tools.py	(revision 4838)
+++ palm/trunk/SCRIPTS/palm_gf_files/palm_gf_tools.py	(revision 4843)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palm_simple_build
===================================================================
--- palm/trunk/SCRIPTS/palm_simple_build	(revision 4838)
+++ palm/trunk/SCRIPTS/palm_simple_build	(revision 4843)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palm_simple_run
===================================================================
--- palm/trunk/SCRIPTS/palm_simple_run	(revision 4838)
+++ palm/trunk/SCRIPTS/palm_simple_run	(revision 4843)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palm_wd
===================================================================
--- palm/trunk/SCRIPTS/palm_wd	(revision 4838)
+++ palm/trunk/SCRIPTS/palm_wd	(revision 4843)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palm_wdd
===================================================================
--- palm/trunk/SCRIPTS/palm_wdd	(revision 4838)
+++ palm/trunk/SCRIPTS/palm_wdd	(revision 4843)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palmbuild
===================================================================
--- palm/trunk/SCRIPTS/palmbuild	(revision 4838)
+++ palm/trunk/SCRIPTS/palmbuild	(revision 4843)
@@ -17,5 +17,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 2017-2020  Leibniz Universitaet Hannover
+# Copyright 2017-2021  Leibniz Universitaet Hannover
 #------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palmplot
===================================================================
--- palm/trunk/SCRIPTS/palmplot	(revision 4838)
+++ palm/trunk/SCRIPTS/palmplot	(revision 4843)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palmrun
===================================================================
--- palm/trunk/SCRIPTS/palmrun	(revision 4838)
+++ palm/trunk/SCRIPTS/palmrun	(revision 4843)
@@ -17,5 +17,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 2017-2020  Leibniz Universitaet Hannover
+# Copyright 2017-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palmrungui
===================================================================
--- palm/trunk/SCRIPTS/palmrungui	(revision 4838)
+++ palm/trunk/SCRIPTS/palmrungui	(revision 4843)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/process_dvr_output
===================================================================
--- palm/trunk/SCRIPTS/process_dvr_output	(revision 4838)
+++ palm/trunk/SCRIPTS/process_dvr_output	(revision 4843)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/release_tutorial
===================================================================
--- palm/trunk/SCRIPTS/release_tutorial	(revision 4838)
+++ palm/trunk/SCRIPTS/release_tutorial	(revision 4843)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2020  Leibniz Universitaet Hannover
+# Copyright 1997-2021  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #