Index: palm/trunk/SOURCE/write_restart_data_mod.f90
===================================================================
--- palm/trunk/SOURCE/write_restart_data_mod.f90	(revision 4828)
+++ palm/trunk/SOURCE/write_restart_data_mod.f90	(revision 4845)
@@ -24,4 +24,7 @@
 ! -----------------
 ! $Id$
+! arrays removed that were required for radiation boundary conditions
+!
+! 4828 2021-01-05 11:21:41Z Giersch
 ! include time_indoor into restart mechanism
 !
@@ -93,6 +96,5 @@
     USE arrays_3d,                                                                                 &
         ONLY:  e, inflow_damping_factor, kh, km, mean_inflow_profiles, p, pt, pt_init, q, q_init,  &
-               ql, ref_state, s, s_init, u, u_init, ug, u_m_l, u_m_n, u_m_r, u_m_s, v, v_init, vg, &
-               v_m_l, v_m_n, v_m_r, v_m_s, vpt, w, w_m_l, w_m_n, w_m_r, w_m_s
+               ql, ref_state, s, s_init, u, u_init, ug, v, v_init, vg, vpt, w
 
     USE averaging
@@ -1362,24 +1364,4 @@
        ENDIF
 
-       IF ( ALLOCATED( u_m_l ) )  THEN
-          CALL wrd_write_string( 'u_m_l' )
-          WRITE ( 14 )  u_m_l
-       ENDIF
-
-       IF ( ALLOCATED( u_m_n ) )  THEN
-          CALL wrd_write_string( 'u_m_n' )
-          WRITE ( 14 )  u_m_n
-       ENDIF
-
-       IF ( ALLOCATED( u_m_r ) )  THEN
-          CALL wrd_write_string( 'u_m_r' )
-          WRITE ( 14 )  u_m_r
-       ENDIF
-
-       IF ( ALLOCATED( u_m_s ) )  THEN
-          CALL wrd_write_string( 'u_m_s' )
-          WRITE ( 14 )  u_m_s
-       ENDIF
-
        IF ( ALLOCATED( us_av ) )  THEN
           CALL wrd_write_string( 'us_av' )
@@ -1393,24 +1375,4 @@
           CALL wrd_write_string( 'v_av' )
           WRITE ( 14 )  v_av
-       ENDIF
-
-       IF ( ALLOCATED( v_m_l  ) )  THEN
-          CALL wrd_write_string( 'v_m_l' )
-          WRITE ( 14 )  v_m_l
-       ENDIF
-
-       IF ( ALLOCATED( v_m_n ) )  THEN
-          CALL wrd_write_string( 'v_m_n' )
-         WRITE ( 14 )  v_m_n
-       ENDIF
-
-       IF ( ALLOCATED( v_m_r ) )  THEN
-          CALL wrd_write_string( 'v_m_r' )
-          WRITE ( 14 )  v_m_r
-       ENDIF
-
-       IF ( ALLOCATED( v_m_s ) )  THEN
-          CALL wrd_write_string( 'v_m_s' )
-          WRITE ( 14 )  v_m_s
        ENDIF
 
@@ -1433,24 +1395,4 @@
           CALL wrd_write_string( 'w_av' )
           WRITE ( 14 )  w_av
-       ENDIF
-
-       IF ( ALLOCATED( w_m_l ) )  THEN
-          CALL wrd_write_string( 'w_m_l' )
-          WRITE ( 14 )  w_m_l
-       ENDIF
-
-       IF ( ALLOCATED( w_m_n ) )  THEN
-          CALL wrd_write_string( 'w_m_n' )
-          WRITE ( 14 )  w_m_n
-       ENDIF
-
-       IF ( ALLOCATED( w_m_r ) )  THEN
-          CALL wrd_write_string( 'w_m_r' )
-          WRITE ( 14 )  w_m_r
-       ENDIF
-
-       IF ( ALLOCATED( w_m_s ) )  THEN
-          CALL wrd_write_string( 'w_m_s' )
-          WRITE ( 14 )  w_m_s
        ENDIF
 
@@ -1560,15 +1502,7 @@
        CALL wrd_mpi_io( 'u', u)
        IF ( ALLOCATED( u_av ) )  CALL wrd_mpi_io( 'u_av', u_av )
-       IF ( ALLOCATED( u_m_l ) )  CALL wrd_mpi_io( 'u_m_l', u_m_l )
-       IF ( ALLOCATED( u_m_n ) )  CALL wrd_mpi_io( 'u_m_n', u_m_n )
-       IF ( ALLOCATED( u_m_r ) )  CALL wrd_mpi_io( 'u_m_r', u_m_r )
-       IF ( ALLOCATED( u_m_s ) )  CALL wrd_mpi_io( 'u_m_s', u_m_s )
        IF ( ALLOCATED( us_av ) )  CALL wrd_mpi_io( 'us_av', us_av )
        CALL wrd_mpi_io( 'v', v )
        IF ( ALLOCATED( v_av ) )  CALL wrd_mpi_io( 'v_av', v_av )
-       IF ( ALLOCATED( v_m_l ) )  CALL wrd_mpi_io( 'v_m_l', v_m_l )
-       IF ( ALLOCATED( v_m_n ) )  CALL wrd_mpi_io( 'v_m_n', v_m_n )
-       IF ( ALLOCATED( v_m_r ) )  CALL wrd_mpi_io( 'v_m_r', v_m_r )
-       IF ( ALLOCATED( v_m_s ) )  CALL wrd_mpi_io( 'v_m_s', v_m_s )
        IF ( humidity )  THEN
           CALL wrd_mpi_io( 'vpt',  vpt )
@@ -1577,8 +1511,4 @@
        CALL wrd_mpi_io( 'w', w)
        IF ( ALLOCATED( w_av ) )  CALL wrd_mpi_io( 'w_av', w_av )
-       IF ( ALLOCATED( w_m_l ) )  CALL wrd_mpi_io( 'w_m_l', w_m_l )
-       IF ( ALLOCATED( w_m_n ) )  CALL wrd_mpi_io( 'w_m_n', w_m_n )
-       IF ( ALLOCATED( w_m_r ) )  CALL wrd_mpi_io( 'w_m_r', w_m_r )
-       IF ( ALLOCATED( w_m_s ) )  CALL wrd_mpi_io( 'w_m_s', w_m_s )
        IF ( ALLOCATED( z0_av ) )  CALL wrd_mpi_io( 'z0_av', z0_av )
        IF ( ALLOCATED( z0h_av ) )  CALL wrd_mpi_io( 'z0h_av', z0h_av )