Index: /palm/trunk/SOURCE/dynamics_mod.f90
===================================================================
--- /palm/trunk/SOURCE/dynamics_mod.f90	(revision 4850)
+++ /palm/trunk/SOURCE/dynamics_mod.f90	(revision 4851)
@@ -24,4 +24,7 @@
 ! -----------------
 ! $Id$
+! bugfix: deactivated header output
+!
+! 4845 2021-01-18 11:15:37Z raasch
 ! radiation boundary condition always uses maximum phase velocity, respective code for calculating
 ! the phase velocity is removed
@@ -352,5 +355,5 @@
                                              !< although the respective module namelist appears in
                                              !< the namelist file
-    
+
     NAMELIST /dynamics_parameters/  switch_off_module
 
@@ -639,22 +642,14 @@
 
 
-    INTEGER(iwp) ::  io   !<
-
-!
-!-- If no module-specific variables are read from the namelist-file, no information will be printed.
-    IF ( .NOT. dynamics_module_enabled )  THEN
-       WRITE ( io, 100 )
-       RETURN
-    ENDIF
-
-!
-!-- Printing the information.
-    WRITE ( io, 110 )
+    INTEGER(iwp) ::  io   !< output-file id
+
+!
+!-- Write dynamics module header
+!-- NOTE: Deactivated because no relevant information to write so far
+    IF ( .FALSE. )  WRITE ( io, 100 )
 
 !
 !-- Format-descriptors
-100 FORMAT (//' *** dynamic module disabled'/)
-110 FORMAT (//1X,78('#')                                                                           &
-            //' User-defined variables and actions:'/                                              &
+100 FORMAT (//' Dynamics module information:'/                                              &
               ' -----------------------------------'//)
 
Index: /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90
===================================================================
--- /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 4850)
+++ /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 4851)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! formatting clean-up
+!
+! 4848 2021-01-21 15:51:51Z gronemeier
 ! replaced use_syn_turb_gen by syn_turb_gen
 !
@@ -534,5 +537,5 @@
  SUBROUTINE stg_check_parameters
 
-    IF ( .NOT. syn_turb_gen  .AND.  .NOT. rans_mode  .AND.                                     &
+    IF ( .NOT. syn_turb_gen  .AND.  .NOT. rans_mode  .AND.                                         &
           nesting_offline )  THEN
        message_string = 'Synthetic turbulence generator is required ' //                           &
@@ -541,5 +544,5 @@
     ENDIF
 
-    IF ( .NOT. syn_turb_gen  .AND.  child_domain                                               &
+    IF ( .NOT. syn_turb_gen  .AND.  child_domain                                                   &
          .AND. rans_mode_parent  .AND.  .NOT. rans_mode )  THEN
        message_string = 'Synthetic turbulence generator is required when nesting is applied ' //   &
@@ -737,7 +740,7 @@
 !--    Set-up MPI datatyp to involve all cores for turbulence generation at xz layer
 !--    stg_type_xz: xz-slice with vertical bounds nzb:nzt+1
-       IF ( nesting_offline  .OR.  ( child_domain .AND.  rans_mode_parent      &
-                              .AND.  .NOT.  rans_mode ) )  THEN
-          CALL MPI_TYPE_CREATE_SUBARRAY( 2, [nzt-nzb+2,nxr-nxl+1],             &
+       IF ( nesting_offline  .OR.  ( child_domain .AND.  rans_mode_parent                          &
+                                     .AND.  .NOT.  rans_mode ) )  THEN
+          CALL MPI_TYPE_CREATE_SUBARRAY( 2, [nzt-nzb+2,nxr-nxl+1],                                 &
                   [1,nxr-nxl+1], [0,0], MPI_ORDER_FORTRAN, MPI_REAL, newtype, ierr )
           CALL MPI_TYPE_CREATE_RESIZED( newtype, tob, extent, stg_type_xz, ierr )
@@ -746,5 +749,5 @@
 
           ! stg_type_yz_small: xz-slice with vertical bounds nzb_x_stg:nzt_x_stg+1
-          CALL MPI_TYPE_CREATE_SUBARRAY( 2, [nzt_y_stg-nzb_y_stg+2,nxr-nxl+1], &
+          CALL MPI_TYPE_CREATE_SUBARRAY( 2, [nzt_y_stg-nzb_y_stg+2,nxr-nxl+1],                     &
                   [1,nxr-nxl+1], [0,0], MPI_ORDER_FORTRAN, MPI_REAL, newtype, ierr )
           CALL MPI_TYPE_CREATE_RESIZED( newtype, tob, extent, stg_type_xz_small, ierr )