Index: /palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4851)
+++ /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4852)
@@ -26,5 +26,8 @@
 ! -----------------
 ! $Id$
-! error message IDs changed from CM to the default PA 
+! re-numbering of message IDs
+!
+! 4847 2021-01-19 13:44:45Z raasch
+! error message IDs changed from CM to the default PA
 !
 ! 4843 2021-01-15 15:22:11Z raasch
@@ -1234,5 +1237,5 @@
     ELSEIF ( .NOT. ( chem_gasphase_on ) )  THEN
        message_string = 'Chemical reactions: OFF'
-       CALL message( 'chem_check_parameters', 'PA0518', 0, 0, 0, 6, 0 )
+       CALL message( 'chem_check_parameters', 'PA0517', 0, 0, 0, 6, 0 )
     ENDIF
 !
@@ -1318,5 +1321,5 @@
     IF ( bc_cs_r /= 'dirichlet'  .AND.  bc_cs_r /= 'neumann'  .AND.  bc_cs_r /= 'cyclic' )  THEN
        message_string = 'unknown boundary condition: bc_cs_r = "' // TRIM( bc_cs_r ) // '"'
-       CALL message( 'chem_check_parameters','PA0551', 1, 2, 0, 6, 0 )
+       CALL message( 'chem_check_parameters','PA0505', 1, 2, 0, 6, 0 )
     ENDIF
 !
@@ -1342,9 +1345,9 @@
     IF ( bc_cs_n /= 'dirichlet'  .AND.  bc_cs_n /= 'neumann'  .AND.  bc_cs_n /= 'cyclic' )  THEN
        message_string = 'unknown boundary condition: bc_cs_n = "' // TRIM( bc_cs_n ) // '"'
-       CALL message( 'chem_check_parameters','PA0714', 1, 2, 0, 6, 0 )
+       CALL message( 'chem_check_parameters','PA0505', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( bc_cs_s /= 'dirichlet'  .AND.  bc_cs_s /= 'neumann'  .AND.  bc_cs_s /= 'cyclic' )  THEN
        message_string = 'unknown boundary condition: bc_cs_s = "' // TRIM( bc_cs_s ) // '"'
-       CALL message( 'chem_check_parameters','PA0715', 1, 2, 0, 6, 0 )
+       CALL message( 'chem_check_parameters','PA0505', 1, 2, 0, 6, 0 )
     ENDIF
 !
@@ -1358,5 +1361,5 @@
          ( bc_cs_s == 'cyclic' .AND. bc_cs_n /= 'cyclic' ) )  THEN
        message_string = 'boundary conditions bc_cs_n and bc_cs_s must both be cyclic or non-cyclic'
-       CALL message( 'chem_check_parameters','PA0717', 1, 2, 0, 6, 0 )
+       CALL message( 'chem_check_parameters','PA0716', 1, 2, 0, 6, 0 )
     ENDIF
 !
@@ -2643,5 +2646,5 @@
 !    IF ( (mode_emis /= 'PARAMETERIZED')  .AND. ( mode_emis /= 'DEFAULT' ) .AND. ( mode_emis /= 'PRE-PROCESSED'  ) )  THEN
 !       message_string = 'Incorrect mode_emiss  option select. Please check spelling'
-!       CALL message( 'chem_parin', 'PA0738', 1, 2, 0, 6, 0 )
+!       CALL message( 'chem_parin', 'PA0736', 1, 2, 0, 6, 0 )
 !    ENDIF
 
@@ -2667,6 +2670,5 @@
                            'NOTE - mode_emis will be depreciated in future releases&'   //         &
                            'please use emiss_lod to define emission mode'
-
-          CALL message( 'chem_parin', 'PA0739', 0, 0, 0, 6, 0 )
+          CALL message( 'chem_parin', 'PA0738', 0, 0, 0, 6, 0 )
 
        ELSE ! if emiss_lod is not set
@@ -2684,6 +2686,5 @@
                            'NOTE - mode_emis will be depreciated in future releases&'   //         &
                            'please use emiss_lod to define emission mode'
-
-          CALL message( 'chem_parin', 'PA0740', 0, 0, 0, 6, 0 )
+          CALL message( 'chem_parin', 'PA0739', 0, 0, 0, 6, 0 )
        ENDIF
 
@@ -2704,5 +2705,5 @@
                            'All emissions data will be loaded '             //                     &
                            'prior to start of simulation'
-          CALL message( 'chem_parin', 'PA0741', 0, 0, 0, 6, 0 )
+          CALL message( 'chem_parin', 'PA0740', 0, 0, 0, 6, 0 )
 
        ELSE                                     !< if new read mode selected
@@ -2713,5 +2714,5 @@
                               'currently unavailable for LODs 0 and 1.&'   //                      &
                               'Reverting to legacy emission read mode'
-             CALL message( 'chem_parin', 'PA0742', 0, 0, 0, 6, 0 )
+             CALL message( 'chem_parin', 'PA0741', 0, 0, 0, 6, 0 )
 
              emiss_read_legacy_mode = .TRUE.
@@ -2722,5 +2723,5 @@
                               'LOD 2 emissions will be updated on-demand ' //                      &
                               'according to indicated timestamps'
-             CALL message( 'chem_parin', 'PA0743', 0, 0, 0, 6, 0 )
+             CALL message( 'chem_parin', 'PA0742', 0, 0, 0, 6, 0 )
 
           ENDIF
@@ -3873,7 +3874,7 @@
           luv_palm = surf_lsm_h(0)%vegetation_type(m)
           IF ( luv_palm == ind_luv_user )  THEN
-             message_string = 'No vegetation type defined. Please define vegetation type to' //    &
+             message_string = 'No lsm-vegetation type defined. Please define vegetation type to' //&
                               ' enable deposition calculation'
-             CALL message( 'chem_depo', 'PA0744', 1, 2, 0, 6, 0 )
+             CALL message( 'chem_depo', 'PA0743', 1, 2, 0, 6, 0 )
           ELSEIF ( luv_palm == ind_luv_b_soil )  THEN
              luv_dep = 9
@@ -3918,7 +3919,7 @@
           lup_palm = surf_lsm_h(0)%pavement_type(m)
           IF ( lup_palm == ind_lup_user )  THEN
-             message_string = 'No pavement type defined. Please define pavement type to enable' // &
-                              ' deposition calculation'
-             CALL message( 'chem_depo', 'PA0745', 1, 2, 0, 6, 0 )
+             message_string = 'No lsm-pavement type defined. Please define pavement type to ' //   &
+                              'enable deposition calculation'
+             CALL message( 'chem_depo', 'PA0743', 1, 2, 0, 6, 0 )
           ELSEIF ( lup_palm == ind_lup_asph_conc )  THEN
              lup_dep = 9
@@ -3957,7 +3958,7 @@
           luw_palm = surf_lsm_h(0)%water_type(m)
           IF ( luw_palm == ind_luw_user )  THEN
-             message_string = 'No water type defined. Please define water type to enable' //       &
+             message_string = 'No lsm-water type defined. Please define water type to enable' //   &
                               ' deposition calculation'
-             CALL message( 'chem_depo', 'PA0746', 1, 2, 0, 6, 0 )
+             CALL message( 'chem_depo', 'PA0743', 1, 2, 0, 6, 0 )
           ELSEIF ( luw_palm ==  ind_luw_lake )  THEN
              luw_dep = 13
@@ -4456,7 +4457,7 @@
           lug_palm = ind_luv_s_grass
           IF ( lug_palm == ind_luv_user )  THEN
-             message_string = 'No vegetation type defined. Please define vegetation type to' //    &
+             message_string = 'No usm-vegetation type defined. Please define vegetation type to' //&
                               ' enable deposition calculation'
-             CALL message( 'chem_depo', 'PA0747', 1, 2, 0, 6, 0 )
+             CALL message( 'chem_depo', 'PA0743', 1, 2, 0, 6, 0 )
           ELSEIF ( lug_palm == ind_luv_b_soil )  THEN
              lug_dep = 9
@@ -4506,5 +4507,5 @@
              message_string = 'No pavement type defined. Please define pavement type to enable' // &
                               ' deposition calculation'
-             CALL message( 'chem_depo', 'PA0748', 1, 2, 0, 6, 0 )
+             CALL message( 'chem_depo', 'PA0745', 1, 2, 0, 6, 0 )
           ELSEIF ( luu_palm == ind_lup_asph_conc )  THEN
              luu_dep = 9
@@ -4546,7 +4547,7 @@
           lud_palm = ind_lup_metal
           IF ( lud_palm == ind_lup_user )  THEN
-             message_string = 'No pavement type defined. Please define pavement type to enable' // &
-                              ' deposition calculation'
-             CALL message( 'chem_depo', 'PA0749', 1, 2, 0, 6, 0 )
+             message_string = 'No usm-pavement type defined. Please define pavement type to ' //   &
+                              'enable deposition calculation'
+             CALL message( 'chem_depo', 'PA0743', 1, 2, 0, 6, 0 )
           ELSEIF ( lud_palm == ind_lup_asph_conc )  THEN
              lud_dep = 9
@@ -5305,5 +5306,5 @@
     CASE default
        message_string = 'Component '// TRIM( compnam ) // ' not supported'
-       CALL message( 'rc_special', 'PA0750', 1, 2, 0, 6, 0 )
+       CALL message( 'rc_special', 'PA0746', 1, 2, 0, 6, 0 )
     END SELECT
 
@@ -5358,5 +5359,5 @@
     CASE default
        message_string = 'Component '// TRIM( compnam ) // ' not supported'
-       CALL message( 'rc_gw', 'PA0751', 1, 2, 0, 6, 0 )
+       CALL message( 'rc_gw', 'PA0746', 1, 2, 0, 6, 0 )
     END SELECT
 
@@ -5571,5 +5572,5 @@
     CASE default
        message_string = 'Component '// TRIM( compnam ) // ' not supported'
-       CALL message( 'rc_gstom', 'PA0752', 1, 2, 0, 6, 0 )
+       CALL message( 'rc_gstom', 'PA0746', 1, 2, 0, 6, 0 )
     END SELECT
 
@@ -5927,5 +5928,5 @@
           ELSE
              message_string = 'nwet can only be 0 or 1'
-             CALL message( 'rc_gsoil_eff', 'PA0753', 1, 2, 0, 6, 0 )
+             CALL message( 'rc_gsoil_eff', 'PA0747', 1, 2, 0, 6, 0 )
           ENDIF
        ENDIF
@@ -6103,5 +6104,5 @@
 !       rc_eff = -999.0_wp
 !       message_string = 'This should not be possible, check ccomp_tot'
-!       CALL message( 'rc_comp_point_rc_eff', 'PA0754', 1, 2, 0, 6, 0 )
+!       CALL message( 'rc_comp_point_rc_eff', 'PA....', 1, 2, 0, 6, 0 )
 !    ENDIF
 !