Index: palm/trunk/TESTS/cases/cbl_particle_nested/MONITORING/cbl_particle_nested_rc_N02.000
===================================================================
--- palm/trunk/TESTS/cases/cbl_particle_nested/MONITORING/cbl_particle_nested_rc_N02.000	(revision 4843)
+++ palm/trunk/TESTS/cases/cbl_particle_nested/MONITORING/cbl_particle_nested_rc_N02.000	(revision 4855)
@@ -1,9 +1,9 @@
 
  ******************************    --------------------------------------------
- * PALM 6.0  Rev: 4828M       *    atmosphere - nested run without 1D - prerun
+ * PALM 6.0  Rev: 4853M       *    atmosphere - nested run without 1D - prerun
  ******************************    --------------------------------------------
 
- Date:               2021-01-05    Run:       cbl_particle_nested__gfortran_defa
- Time:                 16:37:42    Run-No.:   00
+ Date:               2021-01-25    Run:       cbl_particle_nested__gfortran_defa
+ Time:                 10:23:44    Run-No.:   00
  Run on host:        gfortran_d
  Number of PEs:               2    Processor grid (x,y): (   1,   2) calculated
@@ -115,5 +115,4 @@
        north/south: nested              
 
-       use_cmax: T
        pt damping layer width =     0.00 m, pt damping factor = 0.0000
 
@@ -216,8 +215,4 @@
     Disturbances continued during the run from i/j =  10 to i/j =  29
     Random number generator used    : random-parallel
-
-
-
- *** dynamic module disabled
 
     Particles:
@@ -259,5 +254,5 @@
 RUN  ITER. HH:MM:SS.SS    DT(E)     UMAX     VMAX     WMAX     U*    W*      THETA*     Z_I     ENERG.   DISTENERG    DIVOLD     DIVNEW     UMAX(KJI)    VMAX(KJI)    WMAX(KJI)   ADVECX   ADVECY   MGCYC
 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-  0      0 00:00:00.00  18.9000A   1.1899D  1.1775D  0.1181  0.000  0.00   0.000E+00    800.  0.923E+00  0.374E-02  0.481E-03  0.119E-03   17   2  30   19  37  14    9  36  37    0.000    0.000       2
+  0      0 00:00:00.00  18.9000A   1.1899D  1.1775D  0.1181  0.000  0.00   0.000E+00    800.  0.923E+00  0.374E-02  0.481E-03  0.119E-03   17   2  30   19  -3  14    9  36  -3    0.000    0.000       2
   0      1 00:00:18.90   0.3890A -57.8201 -55.8650  15.9007  0.329  0.00  -0.333E+00      0.  0.830E+01  0.179E+01  0.323E-01  0.516E-02    4  25  16    4  16  25    8  15  25    0.000    0.000       2
   0      2 00:00:19.28   0.5580A -40.3509 -39.1933 -11.7860  0.208  0.00  -0.534E+00     25.  0.413E+01  0.110E+01  0.122E-02  0.354E-03    4  25  16    4  16  25    8  16  26    0.000    0.000       2
Index: palm/trunk/TESTS/cases/rans_tkee/MONITORING/rans_tkee_rc.000
===================================================================
--- palm/trunk/TESTS/cases/rans_tkee/MONITORING/rans_tkee_rc.000	(revision 4843)
+++ palm/trunk/TESTS/cases/rans_tkee/MONITORING/rans_tkee_rc.000	(revision 4855)
@@ -11,9 +11,9 @@
 
  ******************************    --------------------------------------------
- * PALM 6.0  Rev: 4325M       *    atmosphere - run with 1D - prerun
+ * PALM 6.0  Rev: 4853M       *    atmosphere - run with 1D - prerun
  ******************************    --------------------------------------------
 
- Date:               2019-12-06    Run:       rans_tkee__gfortran_default__4    
- Time:                 12:04:59    Run-No.:   00
+ Date:               2021-01-25    Run:       rans_tkee__gfortran_default__4    
+ Time:                 10:54:23    Run-No.:   00
  Run on host:        gfortran_d
  Number of PEs:               4    Processor grid (x,y): (   2,   2) calculated
@@ -23,5 +23,5 @@
  -----------------
 
- --> Use the TKE-e turbulence closure (RANS mode).
+ --> Use the tke-e turbulence closure (RANS mode).
  --> Use the boussinesq approximation for the model equations.
  --> Solve perturbation pressure via multigrid method (w-cycle)
@@ -104,5 +104,5 @@
 
        z_mo =   5.00 m   z0 = 0.1000 m   z0h = 0.10000 m   kappa = 0.40
-       Rif value range:     -20.00 <= rif <= 20.00
+       zeta value range:     -20.00 <= zeta <= 20.00
 
 
@@ -111,5 +111,4 @@
        north/south: cyclic              
 
-       use_cmax: T
        pt damping layer width =     0.00 m, pt damping factor = 0.0000
 
@@ -183,5 +182,5 @@
     initial TKE is prescribed as  0.10E+00 (m/s)**2
     TKE is not allowed to fall below  0.10E-02 (m/s)**2
-    Mixing length is limited to 1.80 * z
+    Mixing length is limited close to surfaces
     RANS-mode constants: c_0 =   0.55000
                          c_1 =   1.44000
@@ -207,8 +206,4 @@
     Dissipation calculation:           prognostic          
 
-
-
- *** dynamic module disabled
-
  ------------------------------------------------------------------------------
 
@@ -220,5 +215,5 @@
 RUN  ITER. HH:MM:SS.SS    DT(E)     UMAX     VMAX     WMAX     U*    W*      THETA*     Z_I     ENERG.   DISTENERG    DIVOLD     DIVNEW     UMAX(KJI)    VMAX(KJI)    WMAX(KJI)   ADVECX   ADVECY   MGCYC
 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-  0      0 00:00:00.00   2.6700A   3.3592   0.8728   0.0000  0.127  0.00   0.000E+00      0.  0.442E+01  0.442E-02  0.000E+00  0.000E+00   20  29  29    6  29  29    0  29  29    0.000    0.000       0
+  0      0 00:00:00.00   2.6700A   3.3592   0.8728   0.0000  0.127  0.00   0.000E+00      0.  0.442E+01  0.442E-02  0.000E+00  0.000E+00   20  29  -3    6  29  -3    0  29  -3    0.000    0.000       0
   0      1 00:00:02.67   2.6600A   3.3803   1.5737   1.1399  0.151  0.00  -0.406E-02     10.  0.444E+01  0.438E-02  0.202E-03  0.796E-04   19   7  19    2  14  13    2  13   1    0.000    0.000       2
   0      2 00:00:05.33   0.2280D   3.3829   1.4716   1.2668  0.147  0.00  -0.469E-02     10.  0.444E+01  0.432E-02  0.137E-03  0.456E-04   19   6  21    2  14  13    2  13   1    0.000    0.000       2
@@ -227,11 +222,11 @@
   0      5 00:00:06.84   1.0100D   3.3843   1.5249   1.3737  0.144  0.00  -0.512E-02      0.  0.444E+01  0.402E-02  0.452E-04  0.159E-04   19   5  25    2  17   0    2  13   1    0.000    0.000       2
   0      6 00:00:07.85   1.2400D   3.3841   1.4999   1.3495  0.143  0.00  -0.530E-02      0.  0.444E+01  0.398E-02  0.517E-04  0.120E-04   19   2  28    2  17   0    2  13   1    0.000    0.000       2
-  0      7 00:00:09.09   1.2600D   3.3842   1.4757   1.3212  0.142  0.00  -0.556E-02      0.  0.444E+01  0.394E-02  0.640E-04  0.175E-04   19   0   0    2  17   0    2  13   1    0.000    0.000       2
-  0      8 00:00:10.35   1.3100D   3.3839   1.4629   1.3041  0.141  0.00  -0.562E-02      0.  0.444E+01  0.387E-02  0.619E-04  0.163E-04   19   2   0    2  17   0    2  13   1    0.000    0.000       2
-  0      9 00:00:11.66   1.4100D   3.3834   1.4516   1.2881  0.140  0.00  -0.568E-02      0.  0.444E+01  0.381E-02  0.558E-04  0.154E-04   19   1   0    2  17   0    2  13   1    0.000    0.000       2
-  0     10 00:00:13.07   1.5400D   3.3829   1.4397   1.2708  0.138  0.00  -0.574E-02      0.  0.444E+01  0.376E-02  0.562E-04  0.168E-04   20   2   0    2  17   0    2  13   1    0.000    0.000       2
-  0     11 00:00:14.61   1.7200D   3.3824   1.4277   1.2695  0.137  0.00  -0.587E-02      0.  0.444E+01  0.372E-02  0.579E-04  0.169E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
-  0     12 00:00:16.33   1.9600D   3.3819   1.4149   1.2710  0.136  0.00  -0.612E-02      0.  0.444E+01  0.368E-02  0.615E-04  0.179E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
-  0     13 00:00:18.29   2.2100D   3.3816   1.4009   1.2651  0.135  0.00  -0.607E-02      0.  0.444E+01  0.364E-02  0.662E-04  0.198E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
+  0      7 00:00:09.09   1.2600D   3.3842   1.4757   1.3212  0.142  0.00  -0.556E-02      0.  0.444E+01  0.394E-02  0.640E-04  0.175E-04   19   0  32    2  17   0    2  13   1    0.000    0.000       2
+  0      8 00:00:10.35   1.3100D   3.3839   1.4629   1.3041  0.141  0.00  -0.562E-02      0.  0.444E+01  0.387E-02  0.619E-04  0.163E-04   19   2  32    2  17   0    2  13   1    0.000    0.000       2
+  0      9 00:00:11.66   1.4100D   3.3834   1.4516   1.2881  0.140  0.00  -0.568E-02      0.  0.444E+01  0.381E-02  0.558E-04  0.154E-04   19   1  32    2  17   0    2  13   1    0.000    0.000       2
+  0     10 00:00:13.07   1.5400D   3.3829   1.4397   1.2708  0.138  0.00  -0.574E-02      0.  0.444E+01  0.376E-02  0.562E-04  0.168E-04   20   2  32    2  17   0    2  13   1    0.000    0.000       2
+  0     11 00:00:14.61   1.7200D   3.3824   1.4277   1.2695  0.137  0.00  -0.587E-02      0.  0.444E+01  0.372E-02  0.579E-04  0.169E-04   20   2  32    2  17   0    1  12   2    0.000    0.000       2
+  0     12 00:00:16.33   1.9600D   3.3819   1.4149   1.2710  0.136  0.00  -0.612E-02      0.  0.444E+01  0.368E-02  0.615E-04  0.179E-04   20   2  32    2  17   0    1  12   2    0.000    0.000       2
+  0     13 00:00:18.29   2.2100D   3.3816   1.4009   1.2651  0.135  0.00  -0.607E-02      0.  0.444E+01  0.364E-02  0.662E-04  0.198E-04   20   2  32    2  17   0    1  12   2    0.000    0.000       2
   0     14 00:00:20.50   2.3200D   3.3814   1.3877   1.2533  0.134  0.00  -0.602E-02      0.  0.444E+01  0.359E-02  0.696E-04  0.214E-04   19   6  24    2  17   0    1  12   2    0.000    0.000       2
   0     15 00:00:22.82   2.3300D   3.3814   1.3808   1.2421  0.133  0.00  -0.607E-02      0.  0.444E+01  0.355E-02  0.698E-04  0.221E-04   19   6  24    2  17   0    1  12   2    0.000    0.000       2