Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 4855)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 4856)
@@ -24,4 +24,7 @@
 ! -----------------
 ! $Id$
+! number of allowed profiles increased from 400 to 500
+!
+! 4853 2021-01-25 07:56:09Z raasch
 ! number of allowed profiles increased from 300 to 400
 !
@@ -1663,8 +1666,8 @@
 
 !
-!--    Size check. Some arrays in the netcdf interface module are internally limited to 300 elements
-!--    and would need to be increased for output of more than 300 profiles.
-       IF ( dopr_n > 400 )  THEN
-          message_string = 'output of more than 300 profiles requested'
+!--    Size check. Some arrays in the netcdf interface module are internally limited to 500 elements
+!--    and would need to be increased for output of more than 500 profiles.
+       IF ( dopr_n > 500 )  THEN
+          message_string = 'output of more than 500 profiles requested'
           CALL message( 'check_parameters', 'PA0017', 1, 2, 0, 6, 0 )
        ENDIF
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 4855)
+++ palm/trunk/SOURCE/modules.f90	(revision 4856)
@@ -24,4 +24,7 @@
 ! -----------------
 ! $Id$
+! array size for profiles increased from 400 to 500
+!
+! 4853 2021-01-25 07:56:09Z raasch
 ! array size for profiles increased from 300 to 400
 !
@@ -760,6 +763,6 @@
     CHARACTER (LEN=1000) ::  message_string = ' '                         !< dynamic string for error message output
 
-    CHARACTER (LEN=varnamelength), DIMENSION(200) ::  data_output_pr_user = ' '  !< namelist parameter
-    CHARACTER (LEN=varnamelength), DIMENSION(400) ::  data_output_pr = ' '       !< namelist parameter
+    CHARACTER (LEN=varnamelength), DIMENSION(300) ::  data_output_pr_user = ' '  !< namelist parameter
+    CHARACTER (LEN=varnamelength), DIMENSION(500) ::  data_output_pr = ' '       !< namelist parameter
     CHARACTER (LEN=varnamelength), DIMENSION(500) ::  data_output = ' '          !< namelist parameter
     CHARACTER (LEN=varnamelength), DIMENSION(500) ::  data_output_user = ' '     !< namelist parameter
@@ -1620,6 +1623,6 @@
     INTEGER(iwp) ::  profile_rows = 3     !< number of coordinate systems on a profile plot per row
 
-    INTEGER(iwp) ::  dopr_index(400) = 0                !< index number of respective profile quantity
-    INTEGER(iwp) ::  dopr_initial_index(400) = 0        !< index number of initial profiles to be output
+    INTEGER(iwp) ::  dopr_index(500) = 0                !< index number of respective profile quantity
+    INTEGER(iwp) ::  dopr_initial_index(500) = 0        !< index number of initial profiles to be output
 
     SAVE
Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4855)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4856)
@@ -24,4 +24,7 @@
 ! -----------------
 ! $Id$
+! size of some local arrays for profiles increased from 400 to 500
+!
+! 4853 2021-01-25 07:56:09Z raasch
 ! size of some local arrays for profiles increased from 300 to 400
 !
@@ -196,5 +199,5 @@
          (/ 'wtheta0', 'w*2    ', 't*w2   ', 'w*3    ', 'w*2t*w ', 'w*t*w2 ', 'z_i    ' /)
 
-    CHARACTER (LEN=9), DIMENSION(400) ::  dopr_unit = 'unknown'
+    CHARACTER (LEN=9), DIMENSION(500) ::  dopr_unit = 'unknown'
 
     CHARACTER (LEN=7), DIMENSION(dopts_num) :: dopts_label =                                       &
@@ -332,5 +335,5 @@
     INTEGER(iwp), DIMENSION(dopts_num,0:10) ::  id_var_dopts
     INTEGER(iwp), DIMENSION(0:1,500)        ::  id_var_do2d, id_var_do3d
-    INTEGER(iwp), DIMENSION(400,0:99)       ::  id_dim_z_pr, id_var_dopr, id_var_z_pr
+    INTEGER(iwp), DIMENSION(500,0:99)       ::  id_dim_z_pr, id_var_dopr, id_var_z_pr
     INTEGER(iwp), DIMENSION(dots_max,0:99)  ::  id_var_dots
 
Index: palm/trunk/SOURCE/user_module.f90
===================================================================
--- palm/trunk/SOURCE/user_module.f90	(revision 4855)
+++ palm/trunk/SOURCE/user_module.f90	(revision 4856)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! array size for profiles increased once more
+!
+! 4853 2021-01-25 07:56:09Z raasch
 ! array size for profiles increased
 !
@@ -313,5 +316,5 @@
           ENDDO
           j = 1
-          DO WHILE ( data_output_pr_user(j) /= ' '  .AND.  j <= 200 )
+          DO WHILE ( data_output_pr_user(j) /= ' '  .AND.  j <= 300 )
              data_output_pr(i) = data_output_pr_user(j)
              max_pr_user_tmp   = max_pr_user_tmp + 1