Index: palm/trunk/TESTS/cases/urban_environment_salsa/MONITORING/urban_environment_salsa_rc.000
===================================================================
--- palm/trunk/TESTS/cases/urban_environment_salsa/MONITORING/urban_environment_salsa_rc.000	(revision 4782)
+++ palm/trunk/TESTS/cases/urban_environment_salsa/MONITORING/urban_environment_salsa_rc.000	(revision 4859)
@@ -1,10 +1,10 @@
 
  ******************************    --------------------------------------------
- * PALM 6.0  Rev: 4781        *    atmosphere - run without 1D - prerun
+ * PALM 6.0  Rev: 4858        *    atmosphere - run without 1D - prerun
  ******************************    --------------------------------------------
 
- Date:               2020-11-12    Run:       urban_environment_salsa           
- Time:                 17:46:37    Run-No.:   00
- Run on host:           default
+ Date:               2021-01-30    Run:       urban_environment_salsa__gfortran_
+ Time:                 12:00:23    Run-No.:   00
+ Run on host:        gfortran_d
  Number of PEs:               4    Processor grid (x,y): (   2,   2) calculated
  ------------------------------------------------------------------------------
@@ -161,7 +161,4 @@
        Output every                 5.00 s
 
-
-    Restart data format(s):
-    Output format: fortran_binary
  ------------------------------------------------------------------------------
 
@@ -205,8 +202,4 @@
     Disturbances cease as soon as the disturbance energy exceeds 0.010 m**2/s**2
     Random number generator used    : random-parallel
-
-
-
- *** dynamic module disabled
 
 
@@ -335,41 +328,41 @@
   0      1 00:00:00.75   0.7580A  -2.3732  -1.5382   0.7410  0.084  0.33  -0.778E+00      2.  0.137E+01  0.116E-01  0.268E-02  0.892E-03   60  18  15   16  15   0   20  18   0    0.000    0.000       0
   0      2 00:00:01.51   0.7580A  -2.3733  -1.6029   0.8136  0.083  0.00  -0.796E+00      2.  0.137E+01  0.125E-01  0.953E-03  0.351E-03   60  17  14   16  15   0   20  17   0    0.000    0.000       0
-  0      3 00:00:02.27   0.7580A  -2.3733  -1.5856   0.8389  0.082  0.00  -0.801E+00      2.  0.137E+01  0.129E-01  0.818E-03  0.240E-03   60  17  13   17  15   0   20  17   0    0.000    0.000       0
-  0      4 00:00:03.03   0.7580A  -2.3734  -1.5378   0.8459  0.082  0.12  -0.806E+00     12.  0.137E+01  0.132E-01  0.778E-03  0.213E-03   60  17  13   17  15   0   20  17   0    0.000    0.000       0
-  0      5 00:00:03.79   0.7580A  -2.3735  -1.5013   0.8437  0.081  0.16  -0.809E+00     12.  0.137E+01  0.134E-01  0.769E-03  0.205E-03   60  17  12   17  14   0   20  17   0    0.000    0.000       0
-  0      6 00:00:04.54   0.7580A  -2.3736  -1.4549   0.8375  0.080  0.17  -0.810E+00     12.  0.137E+01  0.137E-01  0.763E-03  0.201E-03   60  17  11   17  14   0   20  17   0    0.000    0.000       0
-  0      7 00:00:05.30   0.7580A  -2.3736  -1.4322   0.8301  0.080  0.18  -0.811E+00     12.  0.137E+01  0.140E-01  0.759E-03  0.199E-03   60  16  10   11  14   0   20  17   0    0.000    0.000       0
-  0      8 00:00:06.06   0.7580A  -2.3737  -1.4026   0.8224  0.079  0.18  -0.811E+00     12.  0.137E+01  0.143E-01  0.758E-03  0.197E-03   60  16  10   11  14   0   20  17   0    0.000    0.000       0
-  0      9 00:00:06.82   0.7580A  -2.3738  -1.3753   0.8146  0.078  0.19  -0.811E+00     12.  0.137E+01  0.146E-01  0.758E-03  0.196E-03   60  16   9   11  14   0   20  17   0    0.000    0.000       0
-  0     10 00:00:07.58   0.7580A  -2.3739  -1.3531   0.8073  0.078  0.24  -0.812E+00     18.  0.137E+01  0.149E-01  0.759E-03  0.196E-03   60  15   8   11  14   0   20  17   0    0.000    0.000       0
-  0     11 00:00:08.33   0.7580A  -2.3739  -1.3349   0.8010  0.077  0.24  -0.812E+00     18.  0.137E+01  0.152E-01  0.761E-03  0.196E-03   60  15   7   11  14   0   20  17   0    0.000    0.000       0
-  0     12 00:00:09.09   0.7580A  -2.3740  -1.3227   0.7963  0.077  0.24  -0.813E+00     18.  0.136E+01  0.156E-01  0.765E-03  0.195E-03   60  15   6   16  14   0   20  17   0    0.000    0.000       0
-  0     13 00:00:09.85   0.7580A  -2.3741  -1.3176   0.7934  0.076  0.25  -0.814E+00     18.  0.136E+01  0.160E-01  0.769E-03  0.195E-03   60  14   5   16  14   0   20  17   0    0.000    0.000       0
-  0     14 00:00:10.61   0.7580A  -2.3742  -1.3089   0.7919  0.076  0.25  -0.815E+00     18.  0.136E+01  0.163E-01  0.774E-03  0.195E-03   60  14   5   16  14   0   20  17   0    0.000    0.000       0
-  0     15 00:00:11.37   0.7580A  -2.3743  -1.2968   0.7912  0.076  0.25  -0.815E+00     18.  0.136E+01  0.167E-01  0.778E-03  0.194E-03   60  13   4   16  14   0   20  17   0    0.000    0.000       0
-  0     16 00:00:12.12   0.7580A  -2.3743  -1.2813   0.7902  0.075  0.25  -0.814E+00     18.  0.136E+01  0.171E-01  0.781E-03  0.193E-03   60  13   3   16  14   0   20  17   0    0.000    0.000       0
-  0     17 00:00:12.88   0.7580A  -2.3744  -1.2624   0.8043  0.075  0.25  -0.814E+00     18.  0.136E+01  0.175E-01  0.783E-03  0.192E-03   60  12   2   16  14   0   11  14  18    0.000    0.000       0
-  0     18 00:00:13.64   0.7580A  -2.3745  -1.2557   0.8321  0.074  0.25  -0.813E+00     18.  0.136E+01  0.179E-01  0.787E-03  0.191E-03   60  12   1   11  14   0   10  14  18    0.000    0.000       0
-  0     19 00:00:14.40   0.7580A  -2.3746  -1.2519   0.8629  0.074  0.26  -0.813E+00     18.  0.136E+01  0.183E-01  0.790E-03  0.189E-03   60  12   1   11  14   0   10  14  18    0.000    0.000       0
-  0     20 00:00:15.16   0.7580A  -2.3746  -1.2492   0.8923  0.074  0.26  -0.813E+00     18.  0.136E+01  0.187E-01  0.793E-03  0.188E-03   60  12   0   11  14   0   10  14  18    0.000    0.000       0
-  0     21 00:00:15.91   0.7580A  -2.3747  -1.2475   0.9185  0.073  0.26  -0.813E+00     18.  0.136E+01  0.191E-01  0.797E-03  0.186E-03   60  11  19   11  14   0   10  14  18    0.000    0.000       0
-  0     22 00:00:16.67   0.7580A  -2.3748  -1.2465   0.9402  0.073  0.26  -0.813E+00     18.  0.136E+01  0.195E-01  0.800E-03  0.185E-03   60  11  18   11  14   0   10  14  18    0.000    0.000       0
-  0     23 00:00:17.43   0.7580A  -2.3749  -1.2461   0.9566  0.073  0.26  -0.813E+00     18.  0.136E+01  0.199E-01  0.803E-03  0.183E-03   60  10  17   11  14   0   10  14  18    0.000    0.000       0
-  0     24 00:00:18.19   0.7580A  -2.3749  -1.2461   0.9677  0.072  0.26  -0.813E+00     18.  0.136E+01  0.203E-01  0.805E-03  0.182E-03   60  10  16   11  14   0   10  14  18    0.000    0.000       0
-  0     25 00:00:18.95   0.7580A  -2.3750  -1.2465   0.9738  0.072  0.26  -0.813E+00     18.  0.136E+01  0.207E-01  0.809E-03  0.180E-03   60  10  16   11  14   0   10  14  18    0.000    0.000       0
-  0     26 00:00:19.70   0.7580A  -2.3751  -1.2469   0.9757  0.072  0.27  -0.813E+00     18.  0.136E+01  0.211E-01  0.812E-03  0.179E-03   60  10  15   11  14   0   10  14  18    0.000    0.000       0
-  0     27 00:00:20.46   0.7580A  -2.3752  -1.2473   0.9748  0.071  0.27  -0.813E+00     18.  0.136E+01  0.215E-01  0.816E-03  0.178E-03   60   9  14   11  14   0   11  14  18    0.000    0.000       0
-  0     28 00:00:21.22   0.7580A  -2.3752  -1.2474   0.9803  0.071  0.38  -0.813E+00     40.  0.136E+01  0.219E-01  0.819E-03  0.177E-03   60   9  13   11  14   0   11  14  18    0.000    0.000       0
-  0     29 00:00:21.98   0.7580A  -2.3753  -1.2475   0.9810  0.071  0.38  -0.813E+00     40.  0.136E+01  0.223E-01  0.822E-03  0.176E-03   60   9  12   11  14   0   11  14  18    0.000    0.000       0
-  0     30 00:00:22.74   0.7580A  -2.3754  -1.2473   0.9775  0.071  0.38  -0.813E+00     40.  0.136E+01  0.226E-01  0.826E-03  0.175E-03   60   8  11   11  14   0   11  14  18    0.000    0.000       0
-  0     31 00:00:23.49   0.7580A  -2.3755  -1.2471   0.9703  0.070  0.39  -0.813E+00     40.  0.136E+01  0.230E-01  0.830E-03  0.174E-03   60   8  11   11  14   0   11  14  18    0.000    0.000       0
-  0     32 00:00:24.25   0.7580A  -2.3755  -1.2468   0.9603  0.070  0.39  -0.813E+00     40.  0.136E+01  0.234E-01  0.834E-03  0.173E-03   60   8  10   11  14   0   11  14  18    0.000    0.000       0
-  0     33 00:00:25.01   0.7580A  -2.3756  -1.2463   0.9497  0.070  0.39  -0.813E+00     40.  0.136E+01  0.238E-01  0.838E-03  0.172E-03   60   7   9   11  14   0   10  14  18    0.000    0.000       0
-  0     34 00:00:25.77   0.7580A  -2.3757  -1.2455   0.9459  0.070  0.39  -0.814E+00     40.  0.136E+01  0.242E-01  0.841E-03  0.171E-03   60   7   8   11  14   0   10  14  18    0.000    0.000       0
-  0     35 00:00:26.53   0.7580A  -2.3758  -1.2443   0.9418  0.069  0.40  -0.814E+00     40.  0.136E+01  0.246E-01  0.845E-03  0.170E-03   60   7   7   11  14   0   10  14  18    0.000    0.000       0
-  0     36 00:00:27.28   0.7580A  -2.3758  -1.2425   0.9449  0.069  0.40  -0.814E+00     40.  0.136E+01  0.250E-01  0.848E-03  0.169E-03   60   6   6   11  14   0   11  14  17    0.000    0.000       0
-  0     37 00:00:28.04   0.7580A  -2.3759  -1.2401   0.9570  0.069  0.40  -0.814E+00     40.  0.136E+01  0.254E-01  0.850E-03  0.168E-03   60   6   5   11  14   0   11  14  17    0.000    0.000       0
-  0     38 00:00:28.80   0.7580A  -2.3760  -1.2369   0.9688  0.069  0.40  -0.814E+00     40.  0.136E+01  0.257E-01  0.853E-03  0.167E-03   60   6   5   11  14   0   11  14  17    0.000    0.000       0
-  0     39 00:00:29.56   0.7580A  -2.3761  -1.2329   0.9791  0.069  0.41  -0.814E+00     40.  0.136E+01  0.261E-01  0.856E-03  0.167E-03   60   5   3   11  14   0   11  14  17    0.000    0.000       0
-  0     40 00:00:30.32   0.7580A  -2.3761  -1.2305   0.9870  0.068  0.41  -0.815E+00     40.  0.136E+01  0.265E-01  0.858E-03  0.166E-03   60   5   3   11  13   0   11  14  17    0.000    0.000       0
-  0     41 00:00:31.07   0.7580A  -2.3762  -1.2321   0.9920  0.068  0.41  -0.815E+00     40.  0.136E+01  0.269E-01  0.861E-03  0.165E-03   60   5   2   11  13   0   11  14  17    0.000    0.000       0
+  0      3 00:00:02.27   0.7580A  -2.3733  -1.5856   0.8389  0.082  0.00  -0.803E+00      2.  0.137E+01  0.129E-01  0.818E-03  0.240E-03   60  17  13   17  15   0   20  17   0    0.000    0.000       0
+  0      4 00:00:03.03   0.7580A  -2.3734  -1.5378   0.8459  0.082  0.12  -0.808E+00     12.  0.137E+01  0.132E-01  0.778E-03  0.213E-03   60  17  13   17  15   0   20  17   0    0.000    0.000       0
+  0      5 00:00:03.79   0.7580A  -2.3735  -1.5013   0.8437  0.081  0.16  -0.811E+00     12.  0.137E+01  0.134E-01  0.769E-03  0.205E-03   60  17  12   17  14   0   20  17   0    0.000    0.000       0
+  0      6 00:00:04.54   0.7580A  -2.3736  -1.4549   0.8375  0.080  0.17  -0.812E+00     12.  0.137E+01  0.137E-01  0.763E-03  0.201E-03   60  17  11   17  14   0   20  17   0    0.000    0.000       0
+  0      7 00:00:05.30   0.7580A  -2.3736  -1.4322   0.8301  0.080  0.18  -0.812E+00     12.  0.137E+01  0.140E-01  0.759E-03  0.199E-03   60  16  10   11  14   0   20  17   0    0.000    0.000       0
+  0      8 00:00:06.06   0.7580A  -2.3737  -1.4026   0.8224  0.079  0.18  -0.813E+00     12.  0.137E+01  0.143E-01  0.758E-03  0.197E-03   60  16  10   11  14   0   20  17   0    0.000    0.000       0
+  0      9 00:00:06.82   0.7580A  -2.3738  -1.3753   0.8146  0.079  0.19  -0.813E+00     12.  0.137E+01  0.146E-01  0.758E-03  0.196E-03   60  16   9   11  14   0   20  17   0    0.000    0.000       0
+  0     10 00:00:07.58   0.7580A  -2.3739  -1.3531   0.8073  0.078  0.24  -0.813E+00     18.  0.137E+01  0.149E-01  0.759E-03  0.196E-03   60  15   8   11  14   0   20  17   0    0.000    0.000       0
+  0     11 00:00:08.33   0.7580A  -2.3739  -1.3349   0.8010  0.077  0.24  -0.814E+00     18.  0.137E+01  0.152E-01  0.761E-03  0.196E-03   60  15   7   11  14   0   20  17   0    0.000    0.000       0
+  0     12 00:00:09.09   0.7580A  -2.3740  -1.3227   0.7963  0.077  0.24  -0.815E+00     18.  0.136E+01  0.156E-01  0.765E-03  0.195E-03   60  15   6   16  14   0   20  17   0    0.000    0.000       0
+  0     13 00:00:09.85   0.7580A  -2.3741  -1.3176   0.7934  0.076  0.25  -0.816E+00     18.  0.136E+01  0.160E-01  0.769E-03  0.195E-03   60  14   6   16  14   0   20  17   0    0.000    0.000       0
+  0     14 00:00:10.61   0.7580A  -2.3742  -1.3089   0.7920  0.076  0.25  -0.817E+00     18.  0.136E+01  0.163E-01  0.774E-03  0.195E-03   60  14   5   16  14   0   20  17   0    0.000    0.000       0
+  0     15 00:00:11.37   0.7580A  -2.3743  -1.2968   0.7912  0.076  0.25  -0.817E+00     18.  0.136E+01  0.167E-01  0.778E-03  0.194E-03   60  13   4   16  14   0   20  17   0    0.000    0.000       0
+  0     16 00:00:12.12   0.7580A  -2.3743  -1.2813   0.7902  0.075  0.25  -0.816E+00     18.  0.136E+01  0.171E-01  0.781E-03  0.193E-03   60  13   3   16  14   0   20  17   0    0.000    0.000       0
+  0     17 00:00:12.88   0.7580A  -2.3744  -1.2624   0.8043  0.075  0.25  -0.816E+00     18.  0.136E+01  0.175E-01  0.784E-03  0.192E-03   60  12   2   16  14   0   11  14  18    0.000    0.000       0
+  0     18 00:00:13.64   0.7580A  -2.3745  -1.2557   0.8321  0.074  0.25  -0.815E+00     18.  0.136E+01  0.179E-01  0.787E-03  0.191E-03   60  12   1   11  14   0   10  14  18    0.000    0.000       0
+  0     19 00:00:14.40   0.7580A  -2.3746  -1.2518   0.8628  0.074  0.26  -0.815E+00     18.  0.136E+01  0.183E-01  0.790E-03  0.189E-03   60  12   1   11  14   0   10  14  18    0.000    0.000       0
+  0     20 00:00:15.16   0.7580A  -2.3746  -1.2492   0.8922  0.074  0.26  -0.815E+00     18.  0.136E+01  0.187E-01  0.793E-03  0.188E-03   60  12   0   11  14   0   10  14  18    0.000    0.000       0
+  0     21 00:00:15.91   0.7580A  -2.3747  -1.2474   0.9185  0.073  0.26  -0.815E+00     18.  0.136E+01  0.191E-01  0.797E-03  0.186E-03   60  11  19   11  14   0   10  14  18    0.000    0.000       0
+  0     22 00:00:16.67   0.7580A  -2.3748  -1.2464   0.9402  0.073  0.26  -0.815E+00     18.  0.136E+01  0.195E-01  0.800E-03  0.185E-03   60  11  18   11  14   0   10  14  18    0.000    0.000       0
+  0     23 00:00:17.43   0.7580A  -2.3749  -1.2460   0.9566  0.073  0.26  -0.815E+00     18.  0.136E+01  0.199E-01  0.803E-03  0.183E-03   60  10  17   11  14   0   10  14  18    0.000    0.000       0
+  0     24 00:00:18.19   0.7580A  -2.3749  -1.2461   0.9677  0.072  0.26  -0.815E+00     18.  0.136E+01  0.203E-01  0.805E-03  0.182E-03   60  10  16   11  14   0   10  14  18    0.000    0.000       0
+  0     25 00:00:18.95   0.7580A  -2.3750  -1.2465   0.9738  0.072  0.26  -0.815E+00     18.  0.136E+01  0.207E-01  0.809E-03  0.180E-03   60  10  16   11  14   0   10  14  18    0.000    0.000       0
+  0     26 00:00:19.70   0.7580A  -2.3751  -1.2469   0.9757  0.072  0.27  -0.814E+00     18.  0.136E+01  0.211E-01  0.812E-03  0.179E-03   60  10  15   11  14   0   10  14  18    0.000    0.000       0
+  0     27 00:00:20.46   0.7580A  -2.3752  -1.2472   0.9748  0.072  0.27  -0.814E+00     18.  0.136E+01  0.215E-01  0.816E-03  0.178E-03   60   9  14   11  14   0   11  14  18    0.000    0.000       0
+  0     28 00:00:21.22   0.7580A  -2.3752  -1.2474   0.9803  0.071  0.38  -0.814E+00     40.  0.136E+01  0.219E-01  0.819E-03  0.177E-03   60   9  13   11  14   0   11  14  18    0.000    0.000       0
+  0     29 00:00:21.98   0.7580A  -2.3753  -1.2474   0.9811  0.071  0.38  -0.814E+00     40.  0.136E+01  0.223E-01  0.822E-03  0.176E-03   60   9  13   11  14   0   11  14  18    0.000    0.000       0
+  0     30 00:00:22.74   0.7580A  -2.3754  -1.2473   0.9775  0.071  0.38  -0.815E+00     40.  0.136E+01  0.226E-01  0.826E-03  0.175E-03   60   8  11   11  14   0   11  14  18    0.000    0.000       0
+  0     31 00:00:23.49   0.7580A  -2.3755  -1.2471   0.9703  0.070  0.39  -0.815E+00     40.  0.136E+01  0.230E-01  0.830E-03  0.174E-03   60   8  11   11  14   0   11  14  18    0.000    0.000       0
+  0     32 00:00:24.25   0.7580A  -2.3755  -1.2467   0.9603  0.070  0.39  -0.815E+00     40.  0.136E+01  0.234E-01  0.834E-03  0.173E-03   60   8  10   11  14   0   11  14  18    0.000    0.000       0
+  0     33 00:00:25.01   0.7580A  -2.3756  -1.2462   0.9497  0.070  0.39  -0.815E+00     40.  0.136E+01  0.238E-01  0.838E-03  0.172E-03   60   7   9   11  14   0   10  14  18    0.000    0.000       0
+  0     34 00:00:25.77   0.7580A  -2.3757  -1.2454   0.9458  0.070  0.39  -0.815E+00     40.  0.136E+01  0.242E-01  0.842E-03  0.171E-03   60   7   8   11  14   0   10  14  18    0.000    0.000       0
+  0     35 00:00:26.53   0.7580A  -2.3758  -1.2442   0.9418  0.069  0.40  -0.815E+00     40.  0.136E+01  0.246E-01  0.845E-03  0.170E-03   60   7   7   11  14   0   10  14  18    0.000    0.000       0
+  0     36 00:00:27.28   0.7580A  -2.3758  -1.2425   0.9449  0.069  0.40  -0.815E+00     40.  0.136E+01  0.250E-01  0.848E-03  0.169E-03   60   6   6   11  14   0   11  14  17    0.000    0.000       0
+  0     37 00:00:28.04   0.7580A  -2.3759  -1.2401   0.9570  0.069  0.40  -0.816E+00     40.  0.136E+01  0.254E-01  0.851E-03  0.168E-03   60   6   5   11  14   0   11  14  17    0.000    0.000       0
+  0     38 00:00:28.80   0.7580A  -2.3760  -1.2369   0.9688  0.069  0.40  -0.816E+00     40.  0.136E+01  0.257E-01  0.853E-03  0.167E-03   60   6   5   11  14   0   11  14  17    0.000    0.000       0
+  0     39 00:00:29.56   0.7580A  -2.3761  -1.2328   0.9791  0.069  0.41  -0.816E+00     40.  0.136E+01  0.261E-01  0.856E-03  0.167E-03   60   5   3   11  14   0   11  14  17    0.000    0.000       0
+  0     40 00:00:30.32   0.7580A  -2.3761  -1.2305   0.9870  0.069  0.41  -0.816E+00     40.  0.136E+01  0.265E-01  0.859E-03  0.166E-03   60   5   3   11  13   0   11  14  17    0.000    0.000       0
+  0     41 00:00:31.07   0.7580A  -2.3762  -1.2321   0.9920  0.068  0.41  -0.817E+00     40.  0.136E+01  0.269E-01  0.861E-03  0.165E-03   60   5   2   11  13   0   11  14  17    0.000    0.000       0